---
title: "MixedReality"
description: "Documentation and guidance for building tools and integrations with the Disguise platform."
url: https://developer.disguise.one/api/session/mixedreality/
---

# MIXEDREALITY API

-   [GET cameras](#get-cameras)
-   [POST captureobservation](#post-captureobservation)
-   [GET captureprogress](#get-captureprogress)
-   [POST deleteallobservations](#post-deleteallobservations)
-   [POST deleteobservations](#post-deleteobservations)
-   [POST enableobservations](#post-enableobservations)
-   [GET mrsets](#get-mrsets)
-   [POST selectcamera](#post-selectcamera)
-   [POST selectspatialcalibration](#post-selectspatialcalibration)
-   [GET spatialcalibrations](#get-spatialcalibrations)

## GET cameras

### Summary

Returns camera properties of cameras on the current stage

### URL

GET    /api/session/mixedreality/cameras

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": "",
      "spatialCalibration": {
        "uid": "",
        "name": ""
      }
    }
  ]
}
```

## POST captureobservation

### Summary

Capture an observation on the given camera

### URL

POST    /api/session/mixedreality/captureobservation

### Request

```json
{
  "camera": {
    "uid": "",
    "name": ""
  },
  "spatialCalibration": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET captureprogress

### Summary

Gets the current capture progress, only one capture can run at once

### URL

GET    /api/session/mixedreality/captureprogress

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": false
}
```

## POST deleteallobservations

### Summary

Delete all observations for a given spatial calibration

### URL

POST    /api/session/mixedreality/deleteallobservations

### Request

```json
{
  "spatialCalibration": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST deleteobservations

### Summary

Pass a list of observation identifiers to delete

### URL

POST    /api/session/mixedreality/deleteobservations

### Request

```json
{
  "observations": [
    ""
  ]
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST enableobservations

### Summary

Pass a list of observation identifiers to enable/disable

### URL

POST    /api/session/mixedreality/enableobservations

### Request

```json
{
  "observations": [
    {
      "uid": "",
      "enable": false
    }
  ]
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET mrsets

### Summary

Returns mixed reality sets on the current stage

### URL

GET    /api/session/mixedreality/mrsets

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": "",
      "currentCamera": {
        "uid": "",
        "name": ""
      },
      "isCameraOverride": false
    }
  ]
}
```

## POST selectcamera

### Summary

Sets the current camera of an MR Set

### URL

POST    /api/session/mixedreality/selectcamera

### Request

```json
{
  "mrSet": {
    "uid": "",
    "name": ""
  },
  "cameraOverride": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## POST selectspatialcalibration

### Summary

Sets the spatial calibration currently in use by a camera

### URL

POST    /api/session/mixedreality/selectspatialcalibration

### Request

```json
{
  "camera": {
    "uid": "",
    "name": ""
  },
  "spatialCalibration": {
    "uid": "",
    "name": ""
  }
}
```

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  }
}
```

## GET spatialcalibrations

### Summary

Returns a list of all spatial calibrations

### URL

GET    /api/session/mixedreality/spatialcalibrations

### Response

```json
{
  "status": {
    "code": 0,
    "message": "",
    "details": [
      {
        "type_url": "",
        "value": ""
      }
    ]
  },
  "result": [
    {
      "uid": "",
      "name": "",
      "mrsets": [
        {
          "uid": "",
          "name": ""
        }
      ],
      "observations": [
        {
          "uid": "",
          "name": "",
          "trackedPose": {
            "position": {
              "x": 0,
              "y": 0,
              "z": 0
            },
            "rotation": {
              "x": 0,
              "y": 0,
              "z": 0
            }
          },
          "solvedPose": {
            "position": {
              "x": 0,
              "y": 0,
              "z": 0
            },
            "rotation": {
              "x": 0,
              "y": 0,
              "z": 0
            }
          },
          "isEnabled": false,
          "zoom": 0,
          "focus": 0,
          "type": "",
          "rmsError": 0
        }
      ]
    }
  ]
}
```
